using System;

internal sealed class Delegate156 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate156 delegate156_1)
	{
		return delegate156_1(object_0);
	}

	public extern Delegate156(object object_0, IntPtr intptr_0);

	static Delegate156()
	{
		Class10.smethod_13(typeof(Delegate156).TypeHandle);
	}

	internal static Delegate156 delegate156_0;
}
